#
# makefile for IPXSML.EXE
#
# This makefile only generates the SMALL version of IPXCOPY.EXE
# The full version of IPXCOPY.EXE is freeware and should be part
# of this archive. IPXSML.EXE only shows the use of the source.
# The source is partly included, because some other parts are
# encoded and domcumented in german language. The only difference 
# is, that IPXSML.EXE can only handle one file.
#  
# Make-Tool: Watcom 'wmake'
# usage: wmake -f makefile.sml
#
# Destination System: DOS 16 Bit
#

#
# Object files
#
OBJS =   main.obj       &
			tprx.obj       &
			tptx.obj       &
			cmdline.obj    &
			ipx.obj        &
			cbreak.obj     &
			crc16.obj      &
			crc32.obj

makenames = $(__MAKEFILES__)

#
# project and exe name
#
prjname = ipxsml
exefile = $(prjname).exe

#
# linkfile
#
linkfile = $(prjname).lnk

#
.EXTENSIONS:
.EXTENSIONS: .exe .obj .c .h

#
.exe:.
.obj:.
.c:.
.h:.

#
# C compiler
#
CC = wcc /ml

#
# C compiler flags
#
CCFLAGS =  /oxanl+ /s /w4 /dNDEBUG /dTP_SMALL

#
# default rule
#
.c.obj :
	$(CC) $(CCFLAGS) $[*

#
# generate exe
#
$(exefile) : $(OBJS) $(linkfile)
	 wlink @$(linkfile)
	 wstrip $(exefile)

#
# generate link  file
#
$(linkfile) : $(makenames) $(OBJS)
	 %create $(linkfile)
	 @%append $(linkfile) system dos
	 @%append $(linkfile) debug all
	 @%append $(linkfile) name $(prjname)
	 @%append $(linkfile) option stack=16k
	 @%append $(linkfile) option map
	 @for %i in ($(OBJS)) do @%append $(linkfile) file %i
	
#
clean: .symbolic
	 @erase $(OBJS)
	 @erase $(linkfile)

new: .symbolic
	@wtouch *.c
